GET /company/time-offs

personio.de:personnel

Summary:
Operation ID:
Auth: unknown
Description

This endpoint is responsible for fetching absence data for the company employees. It is possible to paginate results, filter by period and/or specific employees. The result will contain a list of absence periods, structured as defined here.

Parameters (7)

employees (array, query, optional)

A list of Personio employee identifiers to filter the results. Only those employees specified here will be returned.

end_date (string, query, optional)

Last day of the period to be queried. It is inclusive, so the day specified as end_date will also be considered on the results.

limit (integer, query, optional, default: 200)

Pagination attribute to limit how many attendances will be returned per page

Constraints: {'minimum': 1}

offset (integer, query, optional, default: 0)

Pagination attribute to identify which page you are requesting, by the form of telling an offset from the first record that would be returned.

Constraints: {'minimum': 0}

start_date (string, query, optional)

First day of the period to be queried. It is inclusive, so the day specified as start_date will also be considered on the results

updated_from (string, query, optional)

Datetime from when the queried periods have been updated. It is inclusive, so the day specified as updated_from will also be considered on the results.

updated_to (string, query, optional)

Datetime until when the queried periods have been updated. It is inclusive, so the day specified as updated_to will also be considered on the results.

No probe data for this endpoint yet.